Summary: Library for reading lines from a terminal
Name: readline
Version: 4.0
Release: 1
Copyright: GPL
Group: Libraries
Source: ftp://prep.ai.mit.edu/pub/gnu/readline-%{version}.tar.gz
Buildroot: /var/tmp/readline-root
Prefix: /usr
Prereq: /sbin/install-info /sbin/ldconfig
Summary(de): Library zum Lesen von Zeilen von einem Terminal
Summary(fr): Bibliothque pour lire des lignes depuis un terminal.
Summary(tr): Terminalden satr okumak iin kullanlan bir kitaplk

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package devel
Summary: file for developing programs that use the readline library
Group: Development/Libraries
Requires: readline = %{PACKAGE_VERSION}
Summary(de): Datei zum Entwickeln von Programmen mit der readline-Library
Summary(fr): Fichier pour dvelopper des programmes utilisant la librairie readline.
Summary(tr): readline kitapln kullanan programlar yazmak iin gerekli dosyalar

%description devel
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup -q

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS" static shared

%install
rm -rf $RPM_BUILD_ROOT
make install install-shared prefix=$RPM_BUILD_ROOT/usr

( cd $RPM_BUILD_ROOT
  ln -sf libreadline.so.4.0 ./usr/lib/libreadline.so
  ln -sf libhistory.so.4.0 ./usr/lib/libhistory.so
  gzip -9nf ./usr/info/*info*
  rm ./usr/info/dir
)
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info /usr/info/history.info.gz /usr/info/dir
/sbin/install-info /usr/info/readline.info.gz /usr/info/dir

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/history.info.gz /usr/info/dir
   /sbin/install-info --delete /usr/info/readline.info.gz /usr/info/dir
fi

%files
%defattr(-,root,root)
/usr/man/man*/*
/usr/info/*info*
/usr/lib/lib*.so.*

%files devel
%defattr(-,root,root)
/usr/include/readline
/usr/lib/lib*.a
/usr/lib/lib*.so

%changelog
* Sat Feb 20 1999  Ian Macdonald <ianmacd@xs4all.nl>
- updated to 4.0
- removed patch

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.2.1

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package /usr/info/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
